FLTK 1.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

Typedefs
Callback function typedefs

Typedefs defined in <FL/Fl.H> for callback or handler functions passed as function parameters. More...

## Typedefs
typedef void(* | Fl_Abort_Handler )(const char *format,...)
| Signature of set_abort functions passed as parameters.
typedef int(* | Fl_Args_Handler )(int argc, char **argv, int &i)
| Signature of args functions passed as parameters.
typedef void(* | Fl_Atclose_Handler )(Fl_Window *window, void *data)
| Signature of set_atclose functions passed as parameters.
typedef void(* | Fl_Awake_Handler )(void *data)
| Signature of some wakeup callback functions passed as parameters.
typedef void( | Fl_Box_Draw_F )(int x, int y, int w, int h, Fl_Color color)
| Signature of some box drawing functions passed as parameters.
typedef void(* | Fl_Clipboard_Notify_Handler )(int source, void *data)
| Signature of add_clipboard_notify functions passed as parameters.
typedef int(* | Fl_Event_Dispatch )(int event, Fl_Window *w)
| Signature of event_dispatch functions passed as parameters. More...
typedef int(* | Fl_Event_Handler )(int event)
| Signature of add_handler functions passed as parameters.
typedef void(* | Fl_FD_Handler )(FL_SOCKET fd, void *data)
| Signature of add_fd functions passed as parameters.
typedef void(* | Fl_Idle_Handler )(void *data)
| Signature of add_idle callback functions passed as parameters.
typedef void( | Fl_Label_Draw_F )(const Fl_Label *label, int x, int y, int w, int h, Fl_Align align)
| Signature of some label drawing functions passed as parameters.
typedef void( | Fl_Label_Measure_F )(const Fl_Label *label, int &width, int &height)
| Signature of some label measurement functions passed as parameters.
typedef void(* | Fl_Old_Idle_Handler )()
| Signature of set_idle callback functions passed as parameters.
typedef int(* | Fl_System_Handler )(void *event, void *data)
| Signature of add_system_handler functions passed as parameters.
typedef void(* | Fl_Timeout_Handler )(void *data)
| Signature of some timeout callback functions passed as parameters.

## Detailed Description

Typedefs defined in <FL/Fl.H> for callback or handler functions passed as function parameters.

FLTK uses callback functions as parameters for some function calls, e.g. to set up global event handlers (Fl::add_handler()), to add a timeout handler (Fl::add_timeout()), and many more.

The typedefs defined in this group describe the function parameters used to set up or clear the callback functions and should also be referenced to define the callback function to handle such events in the user's code.

See also
  Fl::add_handler(), Fl::add_timeout(), Fl::repeat_timeout(), Fl::remove_timeout() and others

## Typedef Documentation

typedef int(* Fl_Event_Dispatch)(int event, Fl_Window *w)

Signature of event_dispatch functions passed as parameters.

See also
  Fl::event_dispatch(Fl_Event_Dispatch)

- © 1998-2014 by Bill Spitzak and others.